//
//  ViewController.swift
//  uiButton_enabled
//
//  Created by yoshiyuki oshige on 2015/08/28.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    
    // ラベルとOKボタンをOutlet接続する
    @IBOutlet weak var myLabel: UILabel!
    @IBOutlet weak var okButton: UIButton!

    // Randomボタンで乱数を作る
    @IBAction func random(sender: AnyObject) {
        // 乱数を作る
        let num = arc4random_uniform(100)
        myLabel.text = String(num)
        
        // numが50以上のときOKボタンを有効にする
        // 50未満のときは無効にする
        okButton.enabled = (num>=50)
    }
    
    // OKボタンで実行するメソッド
    @IBAction func tapOK(sender: AnyObject) {
        print("OK")
    }
    

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

